[arch-commits] Commit in soprano/kde-unstable (PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sat Jan 23 17:32:44 EST 2010


    Date: Saturday, January 23, 2010 @ 17:32:44
  Author: pierre
Revision: 64980

enable sesame2 backend for migration from 4.3

Modified:
  soprano/kde-unstable/PKGBUILD

----------+
 PKGBUILD |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-23 22:25:45 UTC (rev 64979)
+++ PKGBUILD	2010-01-23 22:32:44 UTC (rev 64980)
@@ -4,13 +4,13 @@
 
 pkgname=soprano
 pkgver=2.3.70.20100120
-pkgrel=1
+pkgrel=2
 pkgdesc='A library which provides a highly usable object-oriented C++/Qt4 framework for RDF data'
 arch=('i686' 'x86_64')
 url='http://soprano.sourceforge.net/'
 license=('GPL' 'LGPL')
 depends=('qt' 'clucene' 'redland>=1.0.10-2' 'libiodbc' 'virtuoso')
-makedepends=('cmake')
+makedepends=('cmake' 'openjdk6')
 #source=("http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
 source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-${pkgver}.tar.bz2")
 md5sums=('f643bb0e7e541ce83e8f353c6c6a117d')
@@ -19,12 +19,16 @@
   cd ${srcdir}
   mkdir build
   cd build
+  . /etc/profile.d/openjdk6.sh
   # we need the rpath
   cmake ../${pkgname}-${pkgver} \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_SKIP_RPATH=OFF \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DSOPRANO_DISABLE_SESAME2_BACKEND=ON || return \
+    -DCMAKE_INSTALL_PREFIX=/usr || return \
   make || return 1
+}
+
+package() {
+  cd ${srcdir}/build
   make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list